# TbCommerce

TB Commerce is a store and shopping cart engine designed for Rails and [Twice Baked](https://bitbucket.org/westlakedesign/tb_core).

Commerce is intended for use wtih a [Stripe](https://stripe.com) account.

## Configuration

Commerce acceptsa a number of config options.

    TbCommerce.configure do |config|
      config.flat_rate_shipping = 15
      config.sales_tax = 0.06
      config.order_placed_email = 'user@domain.com'
      config.image_sizes = {
        :small => '80x80#',
        :medium => '220x220#',
        :large => '400x400#'
      }
    end

In addition, you should also configure the [Stripe gem](https://rubygems.org/gems/stripe).

    # This value is used by the Stripe gem when making API calls
    Stripe.api_key = "sk_test_XXXXXXXXXXXXXX"
    # This value is used by the shopping cart when talking to Stripe.js
    STRIPE_PUB_KEY = "pk_test_XXXXXXXXXXXXXX"
