FactoryGirl.define do
  factory :tb_commerce_product, :class => 'TbCommerce::Product' do
    sequence :title do |n|
      "Cool Product #{n}"
    end
    description "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua."
    price 9.99

    # Use the :with_options trait to auto genreate some options on the product
    trait :with_options do
      option_sets {
        create_list(:tb_commerce_option_set, 1, :with_options)
      }
    end

  end
end
