# This migration comes from tb_commerce_engine (originally 20150409192945)
class CreateTbCommerceCategories < ActiveRecord::Migration
  def change
    create_table :tb_commerce_categories do |t|
      t.string :title, :null => false
      t.string :slug, :null => false
      t.index :slug, :unique => true
      t.timestamps null: false
    end
    add_reference :tb_commerce_products, :tb_commerce_category, :null => true, :index => true, :foreign_key => true
  end
end
